VSTGUI: Preferences Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
Preferences Class Reference

## Public Member Functions
| Preferences (Preferences &&)=default
Preferences & | operator= (Preferences &&)=default
| Preferences (const std::initializer_list< const char * > &groups, const char *groupSeparator=DefaultPreferencesGroupSeparator)
| Preferences (const UTF8String &inGroupKey="", const char *groupSeparator=DefaultPreferencesGroupSeparator)
Preferences | subGroupPreferences (const UTF8String &subGroup) const
bool | set (const UTF8String &key, const UTF8String &value) const
Optional< UTF8String > | get (const UTF8String &key) const
template<typename T >
bool | setNumber (const UTF8String &key, T value) const
template<typename T >
bool | setFloat (const UTF8String &key, T value, uint32_t precision=8) const
template<typename T >
Optional< T > | getNumber (const UTF8String &key) const
bool | setPoint (const UTF8String &key, CPoint p, uint32_t precision=8) const
Optional< CPoint > | getPoint (const UTF8String &key) const
const UTF8String & | getGroupKey () const
const UTF8String & | getGroupSeparator () const

## Constructor & Destructor Documentation

Preferences | ( | Preferences && |  | ) |
| default

Preferences | ( | const std::initializer_list< const char * > & | groups,
|  | const char * | groupSeparator = `DefaultPreferencesGroupSeparator`
| ) |  |
| inline

Preferences | ( | const UTF8String & | inGroupKey = `""`,
|  | const char * | groupSeparator = `DefaultPreferencesGroupSeparator`
| ) |  |
| inline

## Member Function Documentation

Optional<UTF8String> get | ( | const UTF8String & | key | ) | const
| inline

const UTF8String& getGroupKey | ( |  | ) | const
| inline

const UTF8String& getGroupSeparator | ( |  | ) | const
| inline

Optional<T> getNumber | ( | const UTF8String & | key | ) | const
| inline

Optional<CPoint> getPoint | ( | const UTF8String & | key | ) | const
| inline

Preferences& operator= | ( | Preferences && |  | ) |
| default

bool set | ( | const UTF8String & | key,
|  | const UTF8String & | value
| ) |  | const
| inline

bool setFloat | ( | const UTF8String & | key,
|  | T | value,
|  | uint32_t | precision = `8`
| ) |  | const
| inline

bool setNumber | ( | const UTF8String & | key,
|  | T | value
| ) |  | const
| inline

bool setPoint | ( | const UTF8String & | key,
|  | CPoint | p,
|  | uint32_t | precision = `8`
| ) |  | const
| inline

Preferences subGroupPreferences | ( | const UTF8String & | subGroup | ) | const
| inline

The documentation for this class was generated from the following file:

- preferences.h